package controller

import (
	"github.com/gin-gonic/gin"
	"github.com/go-playground/validator/v10"
	"project_management/app/e"
	"project_management/app/model"
	"project_management/app/services"
)

var AppUser services.AppUser = &model.AppUser{}

// RegistApply 注册app用户
func RegistApply(c *gin.Context) {
	var appuser model.AppUserRegist
	if err := c.ShouldBindJSON(&appuser); err != nil {
		e.ResponseWithMsg(c, e.JSONParsingFailed, e.JSONParsingFailed.GetMsg())
		return
	}
	if !model.IsRegist(appuser.AppID) {
		e.ResponseWithMsg(c, e.TheSystemCannotBeRegistered, e.TheSystemCannotBeRegistered.GetMsg())
		return
	}
	user := AppUser.RegistAppUser(appuser)
	if user == e.SUCCESS {
		e.ResponseWithMsg(c, e.SUCCESS, e.SUCCESS.GetMsg())
		return
	}
	e.ResponseWithMsg(c, user, user.GetMsg())
}

// AddAppUser 添加用户
func AddAppUser(c *gin.Context) {
	var appuser model.AppUser
	if err := c.ShouldBindJSON(&appuser); err != nil {
		e.ResponseWithMsg(c, e.JSONParsingFailed, e.JSONParsingFailed.GetMsg())
		return
	}
	validate := validator.New()
	if err := validate.Struct(appuser); err != nil {
		e.ResponseWithMsg(c, e.JSONParsingFailed, err.Error())
		return
	}
	user := AppUser.AddAppUser(appuser)
	if user == e.SUCCESS {
		e.ResponseWithMsg(c, e.SUCCESS, e.SUCCESS.GetMsg())
		return
	}
	e.ResponseWithMsg(c, user, user.GetMsg())
}

func GetAppUserList(c *gin.Context) {

}
