package app

import (
	"github.com/gin-gonic/gin"
	middlewares "project_management/app/middleware"
	"project_management/app/routers"
	"project_management/global"
)

func InitRouter() error {
	engine := gin.New()
	engine.Use(middlewares.Cors())
	routers.UserRouter(engine)
	//外部用户登录
	engine.Use(middlewares.LogonMiddeware())
	routers.AppUserRouter(engine)
	routers.ApplyNotLogin(engine)
	//管理员登录
	engine.Use(middlewares.LoginMiddleware())
	routers.ApplyRouter(engine)
	return engine.Run(global.ServerSetting.Port)
}
